
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] speettInstall] >= 0 } {
    interp expose {} speettInstall
}

proc ::speettInstall { name } {
    foreach rqst { "Init" "Listen" "StopListen" "Pop" "Push" "Flush"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} speett$rqst $name
    }
}

interp hide {} speettInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] speettInit] >= 0 } {
    interp expose {} speettInit
}
if { [lsearch [interp hidden] speettInitFormatOutput] >= 0 } {
    interp expose {} speettInitFormatOutput
}

proc ::speettInit { name args } {
    set format {}
    lappend format [list string "Language files base name (load .fsg and .dic files)" "" ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"Initialize the language model" \
	"spt_init_p\n| char model_base\[1024\]\n" \
	1 \
	$format \
	$args ]
}


proc ::speettInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} speettInit
interp hide {} speettInitFormatOutput





# Listen ----------------------------------------------------------

if { [lsearch [interp hidden] speettListen] >= 0 } {
    interp expose {} speettListen
}
if { [lsearch [interp hidden] speettListenFormatOutput] >= 0 } {
    interp expose {} speettListenFormatOutput
}

proc ::speettListen { name args } {
    set format {}
    lappend format [list string "Stop word (as found in the .dic file)" "stop" ]

    return [ ::cs::rqstSend "${name}" "Listen" \
	"Listen and recognise sentences" \
	"spt_listen_p\n| char stop\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::speettListenFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} speettListen
interp hide {} speettListenFormatOutput





# StopListen ----------------------------------------------------------

if { [lsearch [interp hidden] speettStopListen] >= 0 } {
    interp expose {} speettStopListen
}
if { [lsearch [interp hidden] speettStopListenFormatOutput] >= 0 } {
    interp expose {} speettStopListenFormatOutput
}

proc ::speettStopListen { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "StopListen" \
	"Stop continuous listening" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::speettStopListenFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} speettStopListen
interp hide {} speettStopListenFormatOutput





# Pop ----------------------------------------------------------

if { [lsearch [interp hidden] speettPop] >= 0 } {
    interp expose {} speettPop
}
if { [lsearch [interp hidden] speettPopFormatOutput] >= 0 } {
    interp expose {} speettPopFormatOutput
}

proc ::speettPop { name args } {
    set format {}
    lappend format [list { "SPT_POP_LATEST" "SPT_POP_OLDEST" } "Which sentence" "SPT_POP_OLDEST" ]
    lappend format [list { "SPT_POP_NOBLOCK" "SPT_POP_BLOCK" } "Block" "SPT_POP_BLOCK" ]

    return [ ::cs::rqstSend "${name}" "Pop" \
	"Pop a sentence from the stack" \
	"spt_pop_p\n| spt_popdate_p date\n| spt_popblock_p block\n" \
	2 \
	$format \
	$args ]
}


proc ::speettPopFormatOutput { list } {
    set format { {} status { } { popo { } sentence } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} speettPop
interp hide {} speettPopFormatOutput





# Push ----------------------------------------------------------

if { [lsearch [interp hidden] speettPush] >= 0 } {
    interp expose {} speettPush
}
if { [lsearch [interp hidden] speettPushFormatOutput] >= 0 } {
    interp expose {} speettPushFormatOutput
}

proc ::speettPush { name args } {
    set format {}
    lappend format [list string "Sentence" "" ]

    return [ ::cs::rqstSend "${name}" "Push" \
	"Push a sentence onto the stack (emulate user input)" \
	"spt_pop_o\n| char sentence\[1024\]\n" \
	1 \
	$format \
	$args ]
}


proc ::speettPushFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} speettPush
interp hide {} speettPushFormatOutput





# Flush ----------------------------------------------------------

if { [lsearch [interp hidden] speettFlush] >= 0 } {
    interp expose {} speettFlush
}
if { [lsearch [interp hidden] speettFlushFormatOutput] >= 0 } {
    interp expose {} speettFlushFormatOutput
}

proc ::speettFlush { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Flush" \
	"Flush all sentences in the stack" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::speettFlushFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} speettFlush
interp hide {} speettFlushFormatOutput


